@echo off
rem -----------------------------------------------
rem  Set API Exit process option for Windows (SupportPac MA0W)
rem 
rem Target file to be genearated:
rem   signal_<pid>_<tid>.set
rem   signal_<pid>_all.set (all threads for specified process)
rem   signal_all_all.set (all processes)
rem 
rem -----------------------------------------------

set programname=Set API Exit process option for Windows (SupportPac MA0W)
set programversion=1.01

if .%3 == . goto HELP

rem -----------------------------------------------
rem set file name
rem -----------------------------------------------

set fname=%2\signal_%3_%4.set
if .%4 == . set fname=%2\signal_%3_all.set

rem -----------------------------------------------
rem Set data
rem -----------------------------------------------
if .%1 == .ENABLE  goto ENABLE
if .%1 == .enable  goto ENABLE
if .%1 == .DISABLE goto DISABLE
if .%1 == .disable goto DISABLE
if .%1 == .RENEW   goto RENEW
if .%1 == .renew   goto RENEW
goto HELP

:ENABLE
echo enable enable enable > %fname%.tmp
goto PERFORMREQUEST

:DISABLE
echo disable disable > %fname%.tmp
goto PERFORMREQUEST

:RENEW
echo renew > %fname%.tmp
goto PERFORMREQUEST

rem -----------------------------------------------
rem Perform request
rem -----------------------------------------------
:PERFORMREQUEST
del %fname% 2> nul
move %fname%.tmp %fname%
echo -
echo     Request issued.
goto LAST

rem -----------------------------------------------
rem Help
rem -----------------------------------------------
:HELP
echo ------------------------------------------------------------------
echo    %programname%
echo    Version %programversion%
echo ------------------------------------------------------------------
echo -
echo    Syntax :
echo -
echo       %0  enable   trace_dir  target_pid  [ target_tid ]
echo       %0  disable  trace_dir  target_pid  [ target_tid ]
echo       %0  renew    trace_dir  target_pid  [ target_tid ]
echo -
echo       %0  enable   trace_dir  all
echo       %0  disable  trace_dir  all
echo       %0  renew    trace_dir  all
echo -
echo             where:  trace_dir  - directory where trace data is to be stored
echo                     target_pid - target process id
echo                     target_tid - target thread id  (optional)
echo -

rem -----------------------------------------------
rem Last
rem -----------------------------------------------
:LAST
